package cn.com.poc.human_resources.dto;	


public class HumanResourceResumeNaturalLanguageRetrievalLogDto {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** postion_id
    *岗位id
    */ 
    private java.lang.Long postionId;

    public java.lang.Long getPostionId(){
        return this.postionId;
    }
    
    public void setPostionId(java.lang.Long postionId){
        this.postionId = postionId;
    }
	/** position_content
    *岗位信息
    */ 
    private java.lang.String positionContent;

    public java.lang.String getPositionContent(){
        return this.positionContent;
    }
    
    public void setPositionContent(java.lang.String positionContent){
        this.positionContent = positionContent;
    }
	/** resume_ids
    *命中的简历id列表
    */ 
    private java.lang.String resumeIds;

    public java.lang.String getResumeIds(){
        return this.resumeIds;
    }
    
    public void setResumeIds(java.lang.String resumeIds){
        this.resumeIds = resumeIds;
    }
	/** retrieval_content
    *检索内容-用户输入的自然语言
    */ 
    private java.lang.String retrievalContent;

    public java.lang.String getRetrievalContent(){
        return this.retrievalContent;
    }
    
    public void setRetrievalContent(java.lang.String retrievalContent){
        this.retrievalContent = retrievalContent;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}